/*
Este arquivo é parte do programa XBMCMove



    XBMCMove é um software livre; você pode redistribui-lo e/ou 

    modifica-lo dentro dos termos da Licença Pública Geral GNU como 

    publicada pela Fundação do Software Livre (FSF); na versão 2 da 

    Licença, ou (na sua opnião) qualquer versão.



    Este programa é distribuido na esperança que possa ser  util, 

    mas SEM NENHUMA GARANTIA; sem uma garantia implicita de ADEQUAÇÂO a qualquer

    MERCADO ou APLICAÇÃO EM PARTICULAR. Veja a

    Licença Pública Geral GNU para maiores detalhes.



    Você deve ter recebido uma cópia da Licença Pública Geral GNU

    junto com este programa, se não, escreva para a Fundação do Software

    Livre(FSF) Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
/** 
 * File:   teclado.h
 * Author: diogo
 *
 * Created on 16 de Fevereiro de 2012, 08:41
 * 
 * Classe para simular teclado.
 * 
 */

#ifndef TECLADO_H
#define	TECLADO_H

#include <X11/Xlib.h>
#include <X11/keysym.h>

class teclado{
public:
    /**
     *  Simula a tecla especificada
     */
    void simular(int tecla);
    teclado();
    ~teclado();
private:
    XKeyEvent createKeyEvent(Display *display, Window &win, Window &winRoot, bool press, int keycode, int modifiers);
};

#endif	/* TECLADO_H */

