/*
Este arquivo é parte do programa XBMCMove



    XBMCMove é um software livre; você pode redistribui-lo e/ou 

    modifica-lo dentro dos termos da Licença Pública Geral GNU como 

    publicada pela Fundação do Software Livre (FSF); na versão 2 da 

    Licença, ou (na sua opnião) qualquer versão.



    Este programa é distribuido na esperança que possa ser  util, 

    mas SEM NENHUMA GARANTIA; sem uma garantia implicita de ADEQUAÇÂO a qualquer

    MERCADO ou APLICAÇÃO EM PARTICULAR. Veja a

    Licença Pública Geral GNU para maiores detalhes.



    Você deve ter recebido uma cópia da Licença Pública Geral GNU

    junto com este programa, se não, escreva para a Fundação do Software

    Livre(FSF) Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

/** 
 * File:   Thread.h
 * Author: diogo
 *
 * Classe Thread para ser usada por outras classes afim de facilitar o uso de Threads
 */

#ifndef THREAD_H
#define	THREAD_H

#include <pthread.h>

class Thread {
public:
    Thread();
    ~Thread();

    void Start();
    void Wait();
    void Abort();
    void Detach();

    pthread_t GetId();

protected:
    static void *entryPoint(void *pthis);
    virtual void run() = 0;

private:
    pthread_t m_threadId;
};

#endif	/* THREAD_H */

